import request from '@/utils/request'

// 查询工会列表列表
export function listUserUnion(query) {
  return request({
    url: '/cai/userUnion/list',
    method: 'get',
    params: query
  })
}

// 查询工会列表详细
export function getUserUnion(id) {
  return request({
    url: '/cai/userUnion/' + id,
    method: 'get'
  })
}

// 新增工会列表
export function addUserUnion(data) {
  return request({
    url: '/cai/userUnion',
    method: 'post',
    data: data
  })
}

// 修改工会列表
export function updateUserUnion(data) {
  return request({
    url: '/cai/userUnion',
    method: 'put',
    data: data
  })
}

// 删除工会列表
export function delUserUnion(id) {
  return request({
    url: '/cai/userUnion/' + id,
    method: 'delete'
  })
}
